%global fname   usb-modeswitch
%global fver    %{version}

Name:		usb_modeswitch
Summary:	Activating Switchable USB Devices on Linux
Version:	2.6.1
Release:	%mkrel 1
License:	GPLv2+
Source0:	http://www.draisberghof.de/usb_modeswitch/%{fname}-%{version}.tar.xz
Source1:    usb_modeswitch
URL:		http://www.draisberghof.de/usb_modeswitch/
Group:		System/Configuration/Hardware
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	%{_lib}usb1.0-devel
BuildRequires:  tcl
Requires:	sysfsutils
Requires:	usb_modeswitch-data

%description
USB_ModeSwitch is a mode switching tool for controlling "flip flop"
(multiple device) USB gear.

Several new USB devices (especially high-speed wireless WAN stuff,
they're expensive anyway) have their Windows drivers onboard; when
plugged in for the first time they act like a flash storage and start
installing the driver from there. After that (and on every consecutive
plugging) this driver switches the mode internally, the storage device
vanishes (in most cases), and a new device (like an USB modem) shows
up. The WWAN gear maker Option calls that feature "ZeroCD (TM)".

%prep
%setup -qn %{fname}-%{version}

%build
%make CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
%__rm -rf %{buildroot}
%makeinstall_std

#fix udev rule
install -m 0755 %SOURCE1 %buildroot/lib/udev/%{name}


%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/%{name}.conf
/lib/udev/%{name}
%{_sbindir}/*
%{_mandir}/man1/*

%clean
%__rm -rf %{buildroot}

%changelog
* Fri Dec 04 2020 tex - 2.6.1-1pclos2020
- new version

* Wed Jan 22 2020 tex - 2.6.0-2pclos2020
- try to fix udev rule

* Tue Dec 10 2019 tex - 2.6.0-1pclos2019
- new version

* Fri Aug 11 2017 bb2 <bb2> - 2.5.1-1pclos2017
- new version

* Wed Mar 01 2017 bb2 <bb2> - 2.5.0-1pclos2017
- new version

* Tue Mar 22 2016 marcin82 <marcin82 at vp.pl> 2.3.0-1pclos2016
- update

